import{_ as n,o as a,c as s,e}from"./app-D7T8XZRy.js";const t={},o=e(`<h3 id="def-is-coroutine-callable-call-callable-any-bool" tabindex="-1"><a class="header-anchor" href="#def-is-coroutine-callable-call-callable-any-bool"><span><em><strong>def</strong></em> <code>is_coroutine_callable(call: Callable[..., Any]) -&gt; bool</code></span></a></h3><p>判断是否为协程可调用对象</p><p>Args:</p><pre><code>call: 可调用对象
</code></pre><p>Returns:</p><pre><code>bool: 是否为协程可调用对象
</code></pre><details><summary>源代码</summary><div class="language-python line-numbers-mode" data-ext="py" data-title="py"><pre class="language-python"><code><span class="token keyword">def</span> <span class="token function">is_coroutine_callable</span><span class="token punctuation">(</span>call<span class="token punctuation">:</span> Callable<span class="token punctuation">[</span><span class="token punctuation">.</span><span class="token punctuation">.</span><span class="token punctuation">.</span><span class="token punctuation">,</span> Any<span class="token punctuation">]</span><span class="token punctuation">)</span> <span class="token operator">-</span><span class="token operator">&gt;</span> <span class="token builtin">bool</span><span class="token punctuation">:</span>
    <span class="token triple-quoted-string string">&quot;&quot;&quot;
    判断是否为协程可调用对象
    Args:
        call: 可调用对象
    Returns:
        bool: 是否为协程可调用对象
    &quot;&quot;&quot;</span>
    <span class="token keyword">if</span> inspect<span class="token punctuation">.</span>isroutine<span class="token punctuation">(</span>call<span class="token punctuation">)</span><span class="token punctuation">:</span>
        <span class="token keyword">return</span> inspect<span class="token punctuation">.</span>iscoroutinefunction<span class="token punctuation">(</span>call<span class="token punctuation">)</span>
    <span class="token keyword">if</span> inspect<span class="token punctuation">.</span>isclass<span class="token punctuation">(</span>call<span class="token punctuation">)</span><span class="token punctuation">:</span>
        <span class="token keyword">return</span> <span class="token boolean">False</span>
    func_ <span class="token operator">=</span> <span class="token builtin">getattr</span><span class="token punctuation">(</span>call<span class="token punctuation">,</span> <span class="token string">&#39;__call__&#39;</span><span class="token punctuation">,</span> <span class="token boolean">None</span><span class="token punctuation">)</span>
    <span class="token keyword">return</span> inspect<span class="token punctuation">.</span>iscoroutinefunction<span class="token punctuation">(</span>func_<span class="token punctuation">)</span>
</code></pre><div class="line-numbers" aria-hidden="true"><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div></div></div></details><h3 id="def-run-coroutine-none" tabindex="-1"><a class="header-anchor" href="#def-run-coroutine-none"><span><em><strong>def</strong></em> <code>run_coroutine() -&gt; None</code></span></a></h3><p>运行协程</p><p>Args:</p><pre><code>coro:
</code></pre><p>Returns:</p><details><summary>源代码</summary><div class="language-python line-numbers-mode" data-ext="py" data-title="py"><pre class="language-python"><code><span class="token keyword">def</span> <span class="token function">run_coroutine</span><span class="token punctuation">(</span><span class="token operator">*</span>coro<span class="token punctuation">:</span> Coroutine<span class="token punctuation">)</span><span class="token punctuation">:</span>
    <span class="token triple-quoted-string string">&quot;&quot;&quot;
    运行协程
    Args:
        coro:

    Returns:

    &quot;&quot;&quot;</span>
    <span class="token keyword">try</span><span class="token punctuation">:</span>
        loop <span class="token operator">=</span> asyncio<span class="token punctuation">.</span>get_event_loop<span class="token punctuation">(</span><span class="token punctuation">)</span>
        <span class="token keyword">if</span> loop<span class="token punctuation">.</span>is_running<span class="token punctuation">(</span><span class="token punctuation">)</span><span class="token punctuation">:</span>
            <span class="token keyword">for</span> c <span class="token keyword">in</span> coro<span class="token punctuation">:</span>
                asyncio<span class="token punctuation">.</span>ensure_future<span class="token punctuation">(</span>c<span class="token punctuation">)</span>
        <span class="token keyword">else</span><span class="token punctuation">:</span>
            <span class="token keyword">for</span> c <span class="token keyword">in</span> coro<span class="token punctuation">:</span>
                loop<span class="token punctuation">.</span>run_until_complete<span class="token punctuation">(</span>c<span class="token punctuation">)</span>
    <span class="token keyword">except</span> RuntimeError<span class="token punctuation">:</span>
        loop <span class="token operator">=</span> asyncio<span class="token punctuation">.</span>new_event_loop<span class="token punctuation">(</span><span class="token punctuation">)</span>
        asyncio<span class="token punctuation">.</span>set_event_loop<span class="token punctuation">(</span>loop<span class="token punctuation">)</span>
        loop<span class="token punctuation">.</span>run_until_complete<span class="token punctuation">(</span>asyncio<span class="token punctuation">.</span>gather<span class="token punctuation">(</span><span class="token operator">*</span>coro<span class="token punctuation">)</span><span class="token punctuation">)</span>
        loop<span class="token punctuation">.</span>close<span class="token punctuation">(</span><span class="token punctuation">)</span>
    <span class="token keyword">except</span> Exception <span class="token keyword">as</span> e<span class="token punctuation">:</span>
        logger<span class="token punctuation">.</span>error<span class="token punctuation">(</span><span class="token string-interpolation"><span class="token string">f&#39;Exception occurred: </span><span class="token interpolation"><span class="token punctuation">{</span>e<span class="token punctuation">}</span></span><span class="token string">&#39;</span></span><span class="token punctuation">)</span>
</code></pre><div class="line-numbers" aria-hidden="true"><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div></div></div></details><h3 id="def-run-coroutine-in-thread-none" tabindex="-1"><a class="header-anchor" href="#def-run-coroutine-in-thread-none"><span><em><strong>def</strong></em> <code>run_coroutine_in_thread() -&gt; None</code></span></a></h3><p>在新线程中运行协程</p><p>Args:</p><pre><code>coro:
</code></pre><p>Returns:</p><details><summary>源代码</summary><div class="language-python line-numbers-mode" data-ext="py" data-title="py"><pre class="language-python"><code><span class="token keyword">def</span> <span class="token function">run_coroutine_in_thread</span><span class="token punctuation">(</span><span class="token operator">*</span>coro<span class="token punctuation">:</span> Coroutine<span class="token punctuation">)</span><span class="token punctuation">:</span>
    <span class="token triple-quoted-string string">&quot;&quot;&quot;
    在新线程中运行协程
    Args:
        coro:

    Returns:

    &quot;&quot;&quot;</span>
    threading<span class="token punctuation">.</span>Thread<span class="token punctuation">(</span>target<span class="token operator">=</span>run_coroutine<span class="token punctuation">,</span> args<span class="token operator">=</span>coro<span class="token punctuation">,</span> daemon<span class="token operator">=</span><span class="token boolean">True</span><span class="token punctuation">)</span><span class="token punctuation">.</span>start<span class="token punctuation">(</span><span class="token punctuation">)</span>
</code></pre><div class="line-numbers" aria-hidden="true"><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div></div></div></details><h3 id="def-path-to-module-name-path-path-str" tabindex="-1"><a class="header-anchor" href="#def-path-to-module-name-path-path-str"><span><em><strong>def</strong></em> <code>path_to_module_name(path: Path) -&gt; str</code></span></a></h3><p>转换路径为模块名</p><p>Args:</p><pre><code>path: 路径a/b/c/d -&gt; a.b.c.d
</code></pre><p>Returns:</p><pre><code>str: 模块名
</code></pre><details><summary>源代码</summary><div class="language-python line-numbers-mode" data-ext="py" data-title="py"><pre class="language-python"><code><span class="token keyword">def</span> <span class="token function">path_to_module_name</span><span class="token punctuation">(</span>path<span class="token punctuation">:</span> Path<span class="token punctuation">)</span> <span class="token operator">-</span><span class="token operator">&gt;</span> <span class="token builtin">str</span><span class="token punctuation">:</span>
    <span class="token triple-quoted-string string">&quot;&quot;&quot;
    转换路径为模块名
    Args:
        path: 路径a/b/c/d -&gt; a.b.c.d
    Returns:
        str: 模块名
    &quot;&quot;&quot;</span>
    rel_path <span class="token operator">=</span> path<span class="token punctuation">.</span>resolve<span class="token punctuation">(</span><span class="token punctuation">)</span><span class="token punctuation">.</span>relative_to<span class="token punctuation">(</span>Path<span class="token punctuation">.</span>cwd<span class="token punctuation">(</span><span class="token punctuation">)</span><span class="token punctuation">.</span>resolve<span class="token punctuation">(</span><span class="token punctuation">)</span><span class="token punctuation">)</span>
    <span class="token keyword">if</span> rel_path<span class="token punctuation">.</span>stem <span class="token operator">==</span> <span class="token string">&#39;__init__&#39;</span><span class="token punctuation">:</span>
        <span class="token keyword">return</span> <span class="token string">&#39;.&#39;</span><span class="token punctuation">.</span>join<span class="token punctuation">(</span>rel_path<span class="token punctuation">.</span>parts<span class="token punctuation">[</span><span class="token punctuation">:</span><span class="token operator">-</span><span class="token number">1</span><span class="token punctuation">]</span><span class="token punctuation">)</span>
    <span class="token keyword">else</span><span class="token punctuation">:</span>
        <span class="token keyword">return</span> <span class="token string">&#39;.&#39;</span><span class="token punctuation">.</span>join<span class="token punctuation">(</span>rel_path<span class="token punctuation">.</span>parts<span class="token punctuation">[</span><span class="token punctuation">:</span><span class="token operator">-</span><span class="token number">1</span><span class="token punctuation">]</span> <span class="token operator">+</span> <span class="token punctuation">(</span>rel_path<span class="token punctuation">.</span>stem<span class="token punctuation">,</span><span class="token punctuation">)</span><span class="token punctuation">)</span>
</code></pre><div class="line-numbers" aria-hidden="true"><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div></div></div></details><h3 id="def-async-wrapper-func-callable-any-callable-coroutine" tabindex="-1"><a class="header-anchor" href="#def-async-wrapper-func-callable-any-callable-coroutine"><span><em><strong>def</strong></em> <code>async_wrapper(func: Callable[..., Any]) -&gt; Callable[..., Coroutine]</code></span></a></h3><p>异步包装器</p><p>Args:</p><pre><code>func: Sync Callable
</code></pre><p>Returns:</p><pre><code>Coroutine: Asynchronous Callable
</code></pre><details><summary>源代码</summary><div class="language-python line-numbers-mode" data-ext="py" data-title="py"><pre class="language-python"><code><span class="token keyword">def</span> <span class="token function">async_wrapper</span><span class="token punctuation">(</span>func<span class="token punctuation">:</span> Callable<span class="token punctuation">[</span><span class="token punctuation">.</span><span class="token punctuation">.</span><span class="token punctuation">.</span><span class="token punctuation">,</span> Any<span class="token punctuation">]</span><span class="token punctuation">)</span> <span class="token operator">-</span><span class="token operator">&gt;</span> Callable<span class="token punctuation">[</span><span class="token punctuation">.</span><span class="token punctuation">.</span><span class="token punctuation">.</span><span class="token punctuation">,</span> Coroutine<span class="token punctuation">]</span><span class="token punctuation">:</span>
    <span class="token triple-quoted-string string">&quot;&quot;&quot;
    异步包装器
    Args:
        func: Sync Callable
    Returns:
        Coroutine: Asynchronous Callable
    &quot;&quot;&quot;</span>

    <span class="token keyword">async</span> <span class="token keyword">def</span> <span class="token function">wrapper</span><span class="token punctuation">(</span><span class="token operator">*</span>args<span class="token punctuation">,</span> <span class="token operator">**</span>kwargs<span class="token punctuation">)</span><span class="token punctuation">:</span>
        <span class="token keyword">return</span> func<span class="token punctuation">(</span><span class="token operator">*</span>args<span class="token punctuation">,</span> <span class="token operator">**</span>kwargs<span class="token punctuation">)</span>
    wrapper<span class="token punctuation">.</span>__signature__ <span class="token operator">=</span> inspect<span class="token punctuation">.</span>signature<span class="token punctuation">(</span>func<span class="token punctuation">)</span>
    <span class="token keyword">return</span> wrapper
</code></pre><div class="line-numbers" aria-hidden="true"><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div></div></div></details><h3 id="async-def-wrapper-none" tabindex="-1"><a class="header-anchor" href="#async-def-wrapper-none"><span><em><strong>async def</strong></em> <code>wrapper() -&gt; None</code></span></a></h3><details><summary>源代码</summary><div class="language-python line-numbers-mode" data-ext="py" data-title="py"><pre class="language-python"><code><span class="token keyword">async</span> <span class="token keyword">def</span> <span class="token function">wrapper</span><span class="token punctuation">(</span><span class="token operator">*</span>args<span class="token punctuation">,</span> <span class="token operator">**</span>kwargs<span class="token punctuation">)</span><span class="token punctuation">:</span>
    <span class="token keyword">return</span> func<span class="token punctuation">(</span><span class="token operator">*</span>args<span class="token punctuation">,</span> <span class="token operator">**</span>kwargs<span class="token punctuation">)</span>
</code></pre><div class="line-numbers" aria-hidden="true"><div class="line-number"></div><div class="line-number"></div></div></div></details><h3 id="var-is-main-process-multiprocessing-current-process-name-mainprocess" tabindex="-1"><a class="header-anchor" href="#var-is-main-process-multiprocessing-current-process-name-mainprocess"><span><em><strong>var</strong></em> <code>IS_MAIN_PROCESS = multiprocessing.current_process().name == &#39;MainProcess&#39;</code></span></a></h3><h3 id="var-func-getattr-call-call-none" tabindex="-1"><a class="header-anchor" href="#var-func-getattr-call-call-none"><span><em><strong>var</strong></em> <code>func_ = getattr(call, &#39;__call__&#39;, None)</code></span></a></h3><h3 id="var-rel-path-path-resolve-relative-to-path-cwd-resolve" tabindex="-1"><a class="header-anchor" href="#var-rel-path-path-resolve-relative-to-path-cwd-resolve"><span><em><strong>var</strong></em> <code>rel_path = path.resolve().relative_to(Path.cwd().resolve())</code></span></a></h3><h3 id="var-loop-asyncio-get-event-loop" tabindex="-1"><a class="header-anchor" href="#var-loop-asyncio-get-event-loop"><span><em><strong>var</strong></em> <code>loop = asyncio.get_event_loop()</code></span></a></h3><h3 id="var-loop-asyncio-new-event-loop" tabindex="-1"><a class="header-anchor" href="#var-loop-asyncio-new-event-loop"><span><em><strong>var</strong></em> <code>loop = asyncio.new_event_loop()</code></span></a></h3>`,40),p=[o];function l(c,i){return a(),s("div",null,p)}const u=n(t,[["render",l],["__file","utils.html.vue"]]),d=JSON.parse(`{"path":"/dev/api/utils.html","title":"liteyuki.utils","lang":"zh-CN","frontmatter":{"title":"liteyuki.utils","order":1,"icon":"laptop-code","category":"API","description":"def is_coroutine_callable(call: Callable[..., Any]) -> bool 判断是否为协程可调用对象 Args: Returns: 源代码 def run_coroutine() -> None 运行协程 Args: Returns: 源代码 def run_coroutine_in_thread() -> ...","head":[["link",{"rel":"alternate","hreflang":"en-us","href":"https://vuepress-theme-hope-docs-demo.netlify.app/en/dev/api/utils.html"}],["meta",{"property":"og:url","content":"https://vuepress-theme-hope-docs-demo.netlify.app/dev/api/utils.html"}],["meta",{"property":"og:site_name","content":"LiteyukiBot 轻雪机器人"}],["meta",{"property":"og:title","content":"liteyuki.utils"}],["meta",{"property":"og:description","content":"def is_coroutine_callable(call: Callable[..., Any]) -> bool 判断是否为协程可调用对象 Args: Returns: 源代码 def run_coroutine() -> None 运行协程 Args: Returns: 源代码 def run_coroutine_in_thread() -> ..."}],["meta",{"property":"og:type","content":"article"}],["meta",{"property":"og:locale","content":"zh-CN"}],["meta",{"property":"og:locale:alternate","content":"en-US"}],["meta",{"property":"og:updated_time","content":"2024-08-21T09:59:21.000Z"}],["meta",{"property":"article:modified_time","content":"2024-08-21T09:59:21.000Z"}],["script",{"type":"application/ld+json"},"{\\"@context\\":\\"https://schema.org\\",\\"@type\\":\\"Article\\",\\"headline\\":\\"liteyuki.utils\\",\\"image\\":[\\"\\"],\\"dateModified\\":\\"2024-08-21T09:59:21.000Z\\",\\"author\\":[]}"]]},"headers":[{"level":3,"title":"def is_coroutine_callable(call: Callable[..., Any]) -> bool","slug":"def-is-coroutine-callable-call-callable-any-bool","link":"#def-is-coroutine-callable-call-callable-any-bool","children":[]},{"level":3,"title":"def run_coroutine() -> None","slug":"def-run-coroutine-none","link":"#def-run-coroutine-none","children":[]},{"level":3,"title":"def run_coroutine_in_thread() -> None","slug":"def-run-coroutine-in-thread-none","link":"#def-run-coroutine-in-thread-none","children":[]},{"level":3,"title":"def path_to_module_name(path: Path) -> str","slug":"def-path-to-module-name-path-path-str","link":"#def-path-to-module-name-path-path-str","children":[]},{"level":3,"title":"def async_wrapper(func: Callable[..., Any]) -> Callable[..., Coroutine]","slug":"def-async-wrapper-func-callable-any-callable-coroutine","link":"#def-async-wrapper-func-callable-any-callable-coroutine","children":[]},{"level":3,"title":"async def wrapper() -> None","slug":"async-def-wrapper-none","link":"#async-def-wrapper-none","children":[]},{"level":3,"title":"var IS_MAIN_PROCESS = multiprocessing.current_process().name == 'MainProcess'","slug":"var-is-main-process-multiprocessing-current-process-name-mainprocess","link":"#var-is-main-process-multiprocessing-current-process-name-mainprocess","children":[]},{"level":3,"title":"var func_ = getattr(call, '__call__', None)","slug":"var-func-getattr-call-call-none","link":"#var-func-getattr-call-call-none","children":[]},{"level":3,"title":"var rel_path = path.resolve().relative_to(Path.cwd().resolve())","slug":"var-rel-path-path-resolve-relative-to-path-cwd-resolve","link":"#var-rel-path-path-resolve-relative-to-path-cwd-resolve","children":[]},{"level":3,"title":"var loop = asyncio.get_event_loop()","slug":"var-loop-asyncio-get-event-loop","link":"#var-loop-asyncio-get-event-loop","children":[]},{"level":3,"title":"var loop = asyncio.new_event_loop()","slug":"var-loop-asyncio-new-event-loop","link":"#var-loop-asyncio-new-event-loop","children":[]}],"git":{"createdTime":1724031826000,"updatedTime":1724234361000,"contributors":[{"name":"snowy","email":"snowykami@outlook.com","commits":4}]},"readingTime":{"minutes":1.37,"words":411},"filePathRelative":"dev/api/utils.md","localizedDate":"2024年8月19日","autoDesc":true}`);export{u as comp,d as data};
