import{_ as s,r as a,o as l,c as r,b as e,d as t,a as o,e as i}from"./app-D7T8XZRy.js";const c={},d=e("h2",{id:"installation",tabindex:"-1"},[e("a",{class:"header-anchor",href:"#installation"},[e("span",null,[e("strong",null,"Installation")])])],-1),p=e("h3",{id:"conventional-deployment",tabindex:"-1"},[e("a",{class:"header-anchor",href:"#conventional-deployment"},[e("span",null,[e("strong",null,"Conventional deployment")])])],-1),u={href:"https://git-scm.com/download/",target:"_blank",rel:"noopener noreferrer"},h=e("code",null,"Git",-1),m={href:"https://www.python.org/downloads/release/python-31010/",target:"_blank",rel:"noopener noreferrer"},v=e("code",null,"Python3.10+",-1),y=i(`<div class="language-bash line-numbers-mode" data-ext="sh" data-title="sh"><pre class="language-bash"><code><span class="token comment"># Clone the project locally, --depth=1 to reduce the size of the cloned repository, this project updates depend on Git</span>
<span class="token function">git</span> clone https://github.com/LiteyukiStudio/LiteyukiBot <span class="token parameter variable">--depth</span><span class="token operator">=</span><span class="token number">1</span>
<span class="token comment"># change the directory to the project root</span>
<span class="token builtin class-name">cd</span> LiteyukiBot
<span class="token comment"># install the project dependencies</span>
pip <span class="token function">install</span> <span class="token parameter variable">-r</span> requirements.txt
<span class="token comment"># start bot</span>
python main.py
</code></pre><div class="line-numbers" aria-hidden="true"><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div><div class="line-number"></div></div></div><div class="hint-container tip"><p class="hint-container-title">Tips</p><p>Recommended to use <code>venv</code> to run Liteyuki to avoid dependency conflicts, you can use <code>python -m venv .venv</code> to create a virtual environment, and then use <code>.venv\\Scripts\\activate</code> to activate the virtual environment (use <code>source .venv/bin/activate</code> to activate on Linux)</p></div><h3 id="use-docker" tabindex="-1"><a class="header-anchor" href="#use-docker"><span><strong>Use docker</strong></span></a></h3>`,3),g={href:"https://docs.docker.com/get-docker/",target:"_blank",rel:"noopener noreferrer"},k=e("code",null,"Docker",-1),_=e("li",null,[t("Clone project repo "),e("code",null,"git clone https://github.com/LiteyukiStudio/LiteyukiBot --depth=1")],-1),f=e("li",null,[t("change directory "),e("code",null,"cd LiteyukiBot")],-1),b=e("li",null,[t("build image with "),e("code",null,"docker build -t liteyukibot .")],-1),w=e("li",null,[t("start container "),e("code",null,"docker run -p 20216:20216 -v $(pwd):/liteyukibot -v $(pwd)/.cache:/root/.cache liteyukibot")],-1),L=i('<div class="hint-container tip"><p class="hint-container-title">Tips</p><p>For Windows, please use the absolute project directory <code>/path/to/LiteyukiBot</code> instead of $(pwd)</p><p>If you have changed the port number, replace <code>20216</code> in <code>20216:20216</code> with your port number</p></div><h3 id="use-trss-scripts" tabindex="-1"><a class="header-anchor" href="#use-trss-scripts"><span><strong>Use TRSS Scripts</strong></span></a></h3>',2),S={href:"https://timerainstarsky.github.io/TRSS_Liteyuki/",target:"_blank",rel:"noopener noreferrer"},x=i('<h2 id="device-requirements" tabindex="-1"><a class="header-anchor" href="#device-requirements"><span><strong>Device requirements</strong></span></a></h2><ul><li>Minimum Windows system version: <code>Windows 10+</code> / <code>Windows Server 2019+</code></li><li>Linux systems need to support Python 3.10+, with <code>Ubuntu 20.04+</code> recommended</li><li>CPU: <code>1 vCPU</code> and more(Bot is multi processes, the more cores, the better the performance)</li><li>Memory: Without other plugins, the Bot will occupy <code>300~500MB</code>, including processes like <code>chromium</code> and <code>node</code>. The memory occupied by other plugins depends on the specific plugins, and it is recommended to have more than <code>1GB</code>.</li><li>Storage: At least <code>1GB</code> of space is required.</li></ul><div class="hint-container warning"><p class="hint-container-title">Warning</p><p>If there are multiple environments on the device, please use <code>path/to/python -m pip install -r requirements.txt</code> to install dependencies, where <code>path/to/python</code> is the path to your Python executable.</p></div><div class="hint-container warning"><p class="hint-container-title">Warning</p><p>The update feature of Liteyuki depends on Git. If you have not installed Git and directly download the source code to run, you will not be able to use the update feature.</p></div><h4 id="for-other-issues-please-go-to-q-a" tabindex="-1"><a class="header-anchor" href="#for-other-issues-please-go-to-q-a"><span>For other issues, please go to <a href="/deployment/fandq">Q&amp;A</a></span></a></h4>',5);function T(I,B){const n=a("ExternalLinkIcon");return l(),r("div",null,[d,p,e("ol",null,[e("li",null,[t("Install "),e("a",u,[h,o(n)]),t(" and "),e("a",m,[v,o(n)]),t(" environment")])]),y,e("ol",null,[e("li",null,[t("Install "),e("a",g,[k,o(n)])]),_,f,b,w]),L,e("p",null,[e("a",S,[t("TRSS_Liteyuki LiteyukiBot manage script"),o(n)]),t(", This feature is supported by TRSS and is not an official feature of LiteyukiBot. It is recommended to use Arch Linux.")]),x])}const C=s(c,[["render",T],["__file","install.html.vue"]]),R=JSON.parse('{"path":"/en/deploy/install.html","title":"Installation","lang":"en-US","frontmatter":{"title":"Installation","icon":"download","order":1,"category":"deployment","tag":["安装"],"description":"Installation Conventional deployment Install Git and Python3.10+ environment Tips Recommended to use venv to run Liteyuki to avoid dependency conflicts, you can use python -m ve...","head":[["link",{"rel":"alternate","hreflang":"zh-cn","href":"https://vuepress-theme-hope-docs-demo.netlify.app/deploy/install.html"}],["meta",{"property":"og:url","content":"https://vuepress-theme-hope-docs-demo.netlify.app/en/deploy/install.html"}],["meta",{"property":"og:site_name","content":"LiteyukiBot"}],["meta",{"property":"og:title","content":"Installation"}],["meta",{"property":"og:description","content":"Installation Conventional deployment Install Git and Python3.10+ environment Tips Recommended to use venv to run Liteyuki to avoid dependency conflicts, you can use python -m ve..."}],["meta",{"property":"og:type","content":"article"}],["meta",{"property":"og:locale","content":"en-US"}],["meta",{"property":"og:locale:alternate","content":"zh-CN"}],["meta",{"property":"og:updated_time","content":"2024-08-16T18:24:25.000Z"}],["meta",{"property":"article:tag","content":"安装"}],["meta",{"property":"article:modified_time","content":"2024-08-16T18:24:25.000Z"}],["script",{"type":"application/ld+json"},"{\\"@context\\":\\"https://schema.org\\",\\"@type\\":\\"Article\\",\\"headline\\":\\"Installation\\",\\"image\\":[\\"\\"],\\"dateModified\\":\\"2024-08-16T18:24:25.000Z\\",\\"author\\":[]}"]]},"headers":[{"level":2,"title":"Installation","slug":"installation","link":"#installation","children":[{"level":3,"title":"Conventional deployment","slug":"conventional-deployment","link":"#conventional-deployment","children":[]},{"level":3,"title":"Use docker","slug":"use-docker","link":"#use-docker","children":[]},{"level":3,"title":"Use TRSS Scripts","slug":"use-trss-scripts","link":"#use-trss-scripts","children":[]}]},{"level":2,"title":"Device requirements","slug":"device-requirements","link":"#device-requirements","children":[]}],"git":{"createdTime":1723832665000,"updatedTime":1723832665000,"contributors":[{"name":"snowy","email":"snowykami@outlook.com","commits":1}]},"readingTime":{"minutes":1.26,"words":379},"filePathRelative":"en/deploy/install.md","localizedDate":"August 16, 2024","autoDesc":true}');export{C as comp,R as data};
